Package ghidra.app.cmd.function

# Class CreateFunctionTagCmd

java.lang.Object
ghidra.app.cmd.function.CreateFunctionTagCmd

All Implemented Interfaces:
  `Command<Program>`

public class CreateFunctionTagCmd extends Object implements Command<Program>
Command for assigning a tag to a function

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CreateFunctionTagCmd(String name)`
  Constructor
  `CreateFunctionTagCmd(String name, String comment)`
  Constructor

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `applyTo(Program program)`
  Applies the command to the given domain object.
  `String`
  `getName()`
  Returns the name of this command.
  `String`
  `getStatusMsg()`
  Returns the status message indicating the status of the command.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CreateFunctionTagCmd

    public CreateFunctionTagCmd(String name)
    Constructor
    Parameters:
      `name` - the name of the new tag

  - ### CreateFunctionTagCmd

    public CreateFunctionTagCmd(String name, String comment)
    Constructor
    Parameters:
      `name` - the name of the new tag
      `comment` - the tag comment

- ## Method Details

  - ### applyTo

    public boolean applyTo(Program program)
    Description copied from interface: `Command`
    Applies the command to the given domain object.
    Specified by:
      `applyTo` in interface `Command<Program>`
    Parameters:
      `program` - domain object that this command is to be applied.
    Returns:
      true if the command applied successfully

  - ### getName

    public String getName()
    Description copied from interface: `Command`
    Returns the name of this command.
    Specified by:
      `getName` in interface `Command<Program>`
    Returns:
      the name of this command

  - ### getStatusMsg

    public String getStatusMsg()
    Description copied from interface: `Command`
    Returns the status message indicating the status of the command.
    Specified by:
      `getStatusMsg` in interface `Command<Program>`
    Returns:
      reason for failure, or null if the status of the command was successful